<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Title</title>
    <!-- Required meta tags -->
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1, shrink-to-fit=no"
    />

    <!-- Bootstrap CSS v5.2.0-beta1 -->
    <link
      rel="stylesheet"
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0-beta1/dist/css/bootstrap.min.css"
      integrity="sha384-0evHe/X+R7YkIZDRvuzKMRqM+OrBnVFBL6DOitfPri4tjfHxaWutUpFmBp4vmVor"
      crossorigin="anonymous"
    />
    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
      href="https://fonts.googleapis.com/css2?family=DM+Sans:wght@400;500;700&display=swap"
      rel="stylesheet"
    />
    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
      href="https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800;900&display=swap"
      rel="stylesheet"
    />
    <link rel="stylesheet" href="./css/_reset.css" />
    <link rel="stylesheet" href="./css/_variable.css" />
    <link rel="stylesheet" href="./css/_global.css" />
    <link rel="stylesheet" href="./css/_layout.css" />
    <link rel="stylesheet" href="./css/icomoon.css" />
    <link rel="stylesheet" href="./css/style.css" />
  </head>
  <body>
    <!-- Bootstrap JavaScript Libraries -->
    <header>
      <nav class="ecommerce-nav navbar navbar-expand-lg bg-light">
        <div class="container container-fluid">
          <a class="navbar-brand" href="#">Ecommerce</a>
          <a
            class="nav-link text-capitalize me-auto d-block btn btn-outline-primary"
            href="./admin_index.html"
          >
            <span>Admin Page</span>
          </a>
          <div class="navbar-nav mb-2 mb-lg-0">
            <div
              class="nav-item nav-cart d-flex flex--center"
              data-bs-toggle="modal"
              data-bs-target="#cartModal"
            >
              <span class="icon-material_shopping_bag icon"></span>
              <div class="nav-cart__total-item d-flex flex--center">
                <span class="item-count">0</span>
              </div>
            </div>
          </div>
        </div>
      </nav>
    </header>
    <main class="main-content">
      <section class="product-section">
        <div class="container section-container my-4">
          <div class="section-header text-center">
            <h4>Product List</h4>
          </div>
          <div class="section-content my-4">
            <div class="row product__filter">
              <div class="filter-brand form-floating">
                <select
                  class="form-select"
                  id="phone-brand"
                  aria-label="Lựa hãng điện thoại bạn mong muốn"
                >
                  <option value="all" selected>Tất cả</option>
                  <option value="samsung">Samsung</option>
                  <option value="iphone">Iphone</option>
                </select>
                <label for="phone-brand">Chọn thương hiệu điện thoại</label>
              </div>
            </div>
            <div class="product__list row my-5"></div>
          </div>
        </div>
      </section>
      <!-- Product Detail Modal -->
      <div
        class="modal fade product-modal"
        id="product-modal"
        tabindex="-1"
        aria-labelledby="productModalLabel"
        aria-hidden="true"
      >
        <div class="modal-dialog modal-dialog-scrollable modal-dialog-centered">
          <div class="modal-content">
            <div class="modal-header">
              <button
                type="button"
                class="btn-close"
                data-bs-dismiss="modal"
                aria-label="Close"
              ></button>
            </div>
            <div class="modal-body product-detail"></div>
          </div>
        </div>
      </div>
      <!-- Product Detail Modal -->
      <!-- Cart modal -->
      <div
        class="modal fade cart"
        id="cartModal"
        tabindex="-1"
        aria-labelledby="cartModalLabel"
        aria-hidden="true"
      >
        <div class="modal-dialog modal-dialog-scrollable modal-dialog-centered">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title text-capitalize" id="cartModalLabel">
                Your shopping cart
              </h5>
              <button
                type="button"
                class="btn-close"
                data-bs-dismiss="modal"
                aria-label="Close"
              ></button>
            </div>
            <div class="modal-body cart__details">
              <div class="container-fluid"></div>
            </div>
            <div class="modal-footer">
              <div class="cart__total-price fs-5 me-4">
                <span class="title">Total : </span>
                <span class="number fw-semibold">0</span>
              </div>
              <button type="button" class="btn btn-outline-indigo btn-checkout">
                Checkout
              </button>
            </div>
          </div>
        </div>
      </div>
      <!-- Cart modal -->

      <!-- Checkout order modal -->
      <div
        class="modal fade checkout"
        id="checkoutModal"
        tabindex="-1"
        aria-labelledby="checkoutModalLabel"
        aria-hidden="true"
      >
        <div class="modal-dialog modal-dialog-scrollable modal-dialog-centered">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title text-capitalize" id="cartModalLabel">
                your checkout
              </h5>
              <button
                type="button"
                class="btn-close"
                data-bs-dismiss="modal"
                aria-label="Close"
              ></button>
            </div>
            <div class="modal-body checkout__detail"></div>
            <div class="modal-footer">
              <button type="button" class="btn btn-secondary btn-back-cart">
                Go back to cart
              </button>
              <button
                type="button"
                class="btn btn-outline-danger btn-order"
                data-bs-toggle="modal"
                data-bs-target="#successOrderModal"
              >
                Order
              </button>
            </div>
          </div>
        </div>
      </div>
      <!-- Checkout order modal -->

      <div
        class="modal fade successOrder"
        id="successOrderModal"
        tabindex="-1"
        aria-labelledby="successOrderLabel"
        aria-hidden="true"
      >
        <div class="modal-dialog modal-dialog-centered">
          <div class="modal-content">
            <div class="modal-body successOrder__detail">
              <div class="successOrder__content">
                <div class="btn-container text-end">
                  <button
                    type="button"
                    class="btn-close"
                    data-bs-dismiss="modal"
                    aria-label="Close"
                  ></button>
                </div>
                <div
                  class="heading d-flex flex--center flex-column has-border-bottom"
                >
                  <div class="icon mb-3">
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      width="16"
                      height="16"
                      fill="currentColor"
                      class="bi bi-check-circle"
                      viewBox="0 0 16 16"
                    >
                      <path
                        d="M8 15A7 7 0 1 1 8 1a7 7 0 0 1 0 14zm0 1A8 8 0 1 0 8 0a8 8 0 0 0 0 16z"
                      />
                      <path
                        d="M10.97 4.97a.235.235 0 0 0-.02.022L7.477 9.417 5.384 7.323a.75.75 0 0 0-1.06 1.06L6.97 11.03a.75.75 0 0 0 1.079-.02l3.992-4.99a.75.75 0 0 0-1.071-1.05z"
                      />
                    </svg>
                  </div>
                  <h3 class="title text-center text-capitalize fs-3">
                    order successfully placed
                  </h3>
                </div>
                <div class="body d-flex flex--center flex-column py-4">
                  <div class="order-info-content fs-5">
                    <span class="text">Your order number is</span>
                    <span class="char char--1">:</span>
                    <span class="order-number text-danger fw-semibold"></span>
                  </div>
                  <div class="total-price d-flex flex--center">
                    <p class="title"></p>
                    <p class="price"></p>
                  </div>
                </div>
                <div class="bottom d-flex flex--center">
                  <button
                    type="button"
                    data-bs-dismiss="modal"
                    class="btn btn-outline-primary btn-ok d-flex flex--center fs-5"
                  >
                    Ok
                  </button>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </main>
    <script
      src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.5/dist/umd/popper.min.js"
      integrity="sha384-Xe+8cL9oJa6tN/veChSP7q+mnSPaj5Bcu9mPX5F5xIGE0DVittaqT5lorf0EI7Vk"
      crossorigin="anonymous"
    ></script>

    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0-beta1/dist/js/bootstrap.min.js"
      integrity="sha384-kjU+l4N0Yf4ZOJErLsIcvOU2qSb74wXpOhqTvwVx3OElZRweTnQ6d31fXEoRD1Jy"
      crossorigin="anonymous"
    ></script>
    <script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>
    <script type="module" src="./js/controller/main.js"></script>
  </body>
</html>
